Package net.shibboleth.shared.codec

# Enum Class StringDigester.OutputFormat

java.lang.Object
java.lang.Enum<StringDigester.OutputFormat>
net.shibboleth.shared.codec.StringDigester.OutputFormat

All Implemented Interfaces:
  `Serializable`, `Comparable<StringDigester.OutputFormat>`, `Constable`

Enclosing class:
  StringDigester

public static enum StringDigester.OutputFormat extends Enum<StringDigester.OutputFormat>
The output format determining how the the digested byte[] is converted to the output String.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BASE32`
Base32-encoding.
`BASE64`
Base64-encoding.
`HEX_LOWER`
Hexadecimal encoding, with lower case characters.
`HEX_UPPER`
Hexadecimal encoding, with upper case characters.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`OutputFormat()`

## Method Summary

Modifier and Type
Method
Description
`static StringDigester.OutputFormat`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static StringDigester.OutputFormat[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BASE64

public static final StringDigester.OutputFormat BASE64
Base64-encoding.

### HEX_LOWER

public static final StringDigester.OutputFormat HEX_LOWER
Hexadecimal encoding, with lower case characters.

### HEX_UPPER

public static final StringDigester.OutputFormat HEX_UPPER
Hexadecimal encoding, with upper case characters.

### BASE32

public static final StringDigester.OutputFormat BASE32
Base32-encoding.

## Constructor Details

### OutputFormat

private OutputFormat()

## Method Details

### values

public static StringDigester.OutputFormat[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static StringDigester.OutputFormat valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null